diff --git a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
index 41143a3..000f4c4 100644
--- a/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid/backgrid.pgadmin.js
@@ -310,17 +310,12 @@
       var col = _.defaults(this.column.toJSON(), this.defaults),
           model = this.model, column = this.column,
           editable = Backgrid.callByNeed(col.editable, column, model),
-          optionValues = this.column.get('optionValues');
+          optionValues = this.optionValues || this.column.get('options');
 
       this.$el.empty();
 
       if (!_.isArray(optionValues)) throw new TypeError("optionValues must be an array");
 
-      /* Add empty option as Select2 requires any empty '<option><option>' for
-       * some of its functionality to work.
-       */
-      optionValues.unshift([null, null]);
-
       var optionText = null,
           optionValue = null,
           model = this.model,
@@ -328,7 +323,11 @@
 
       delete this.$select;
 
-      this.$select = $("<select>", {tabIndex: -1}),
+      this.$select = $("<select>", {tabIndex: -1});
+      /* Add empty option as Select2 requires any empty '<option><option>' for
+       * some of its functionality to work.
+       */
+      this.$select.append($('<option></option>'));
       this.$el.append(this.$select);
 
       for (var i = 0; i < optionValues.length; i++) {
